summaryrefslogtreecommitdiffstats
path: root/office/tellico
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:03:05 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:03:05 +0200
commit73e2f18cf1bfce210cdcb274c2dcda6ec8e20ac1 (patch)
treeb916a8a81bc86bf79890fafdadee68c8ffc71123 /office/tellico
parentae0be6c7145ae1efecc09a1cb83e022ce0527d89 (diff)
downloadslackbuilds-73e2f18cf1bfce210cdcb274c2dcda6ec8e20ac1.tar.gz
slackbuilds-73e2f18cf1bfce210cdcb274c2dcda6ec8e20ac1.tar.xz
office/tellico: Initial import
Diffstat (limited to 'office/tellico')
-rw-r--r--office/tellico/README16
-rw-r--r--office/tellico/slack-desc11
-rw-r--r--office/tellico/tellico.SlackBuild65
-rw-r--r--office/tellico/tellico.info8
4 files changed, 100 insertions, 0 deletions
diff --git a/office/tellico/README b/office/tellico/README
new file mode 100644
index 0000000000..0cb22243ff
--- /dev/null
+++ b/office/tellico/README
@@ -0,0 +1,16 @@
+Tellico is an KDE application for keeping track of your collections. It
+provides default templates for books, bibliographies, videos, music, coins,
+stamps, trading cards, comic books, and wines. Ultimately, I'd like it to be
+similar in capability to AVCataloger or Readerware, although it's still got a
+ways to go.
+
+Tellico allows you to enter your collection in a catalogue database, saving
+many different properties like title, author, etc. Two different views of
+your collection are shown. On the left, your entries are grouped together by
+any field you like, allowing you to see how many are in each group. On the
+right, selected fields are shown in column format, allowing you to sort by any
+field. On the bottom is a customizable HTML view of the current entry. The
+entry editor is a dialog box where you enter the data.
+
+Recommended for tellico is the yaz programmer toolkit (yaz >= 2.0), which is
+also available at SlackBuilds.org.
diff --git a/office/tellico/slack-desc b/office/tellico/slack-desc
new file mode 100644
index 0000000000..5fce3f2bd3
--- /dev/null
+++ b/office/tellico/slack-desc
@@ -0,0 +1,11 @@
+tellico: Tellico (KDE application for keeping track of your collections)
+tellico:
+tellico: Tellico is an KDE application for keeping track of your collections.
+tellico: It provides default templates for books, bibliographies, videos, music,
+tellico: coins, stamps, trading cards, comic books, and wines. Ultimately,
+tellico: I'd like it to be similar in capability to AVCataloger or Readerware,
+tellico: although it's still got a ways to go.
+tellico:
+tellico: Homepage: http://www.periapsis.org/tellico/
+tellico:
+tellico:
diff --git a/office/tellico/tellico.SlackBuild b/office/tellico/tellico.SlackBuild
new file mode 100644
index 0000000000..1e4475fb4f
--- /dev/null
+++ b/office/tellico/tellico.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# SlackBuild script for tellico
+# Written by Michiel van Wessem (BP{k}) <michiel.van.wessem@gmail.com>
+
+PRGNAM=tellico
+VERSION=1.2.11
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=${ARCH:-i486}
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING ChangeLog INSTALL TODO NEWS README tellico.lsm tellico.tips"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP || exit 1
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/opt/kde \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --disable-debug \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+if [ -d $PKG/opt/kde/share/man ]; then
+ ( cd $PKG/opt/kde/share/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/tellico/tellico.info b/office/tellico/tellico.info
new file mode 100644
index 0000000000..8fc34ed8bc
--- /dev/null
+++ b/office/tellico/tellico.info
@@ -0,0 +1,8 @@
+PRGNAM="tellico"
+VERSION="1.2.11"
+HOMEPAGE="http://periapsis.org/tellico/"
+DOWNLOAD="http://periapsis.org/tellico/download/tellico-1.2.11.tar.gz"
+MD5SUM="7096a02dad2317a1013626cf8226580a"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="rworkman"